> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Acknowledge location-specific disclosures

> Submits acknowledgement of location-specific disclosures for tracking and auditing purposes. This action creates a case data record with the provided information. The system records the acknowledgment and generates a downloadable PDF file of the acknowledged disclosures.



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json put /case/id/{caseId}/{disclosureType}/{language}
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /case/id/{caseId}/{disclosureType}/{language}:
    parameters:
      - schema:
          type: string
        name: caseId
        in: path
        required: true
        description: The ID of a case.
      - schema:
          type: string
          enum:
            - disclosures
            - customdynamicdisclosure
        name: disclosureType
        in: path
        required: true
        description: The type of disclosure.
      - $ref: '#/components/parameters/language'
    put:
      tags:
        - Candidate onboarding
      summary: Acknowledge location-specific disclosures
      description: >-
        Submits acknowledgement of location-specific disclosures for tracking
        and auditing purposes. This action creates a case data record with the
        provided information. The system records the acknowledgment and
        generates a downloadable PDF file of the acknowledged disclosures.
      operationId: put-case-id-caseId-disclosureType-language
      parameters:
        - name: language
          in: path
          required: true
          schema:
            type: string
          description: The language code (e.g. en-US)
      requestBody:
        description: >-
          All disclosures that are returned in the [Request location-specific
          disclosures](paths/~1case~1id~1{caseId}~1{disclosureType}~1{language}/post)
          API call must be included. If any expected disclosures are *not*
          acknowledged in this request, the entire request will be rejected and
          nothing will be saved for this request.


          <!-- theme: info -->

          > ##### Note

          >

          > Inclusion of a `legalType` in the request list indicates that the
          candidate acknowledged that legal disclosure via an input. The client
          should *not* include the `legalType` in the post request until that
          acknowledgement happens.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LegalAcknowledgmentDisclosures'
            examples:
              Example 1:
                value:
                  sendReport: true
                  list:
                    - legalType: general-ca-disclosure
                      signature: Alex Smith
                    - legalType: state-city-all-disclosure
                    - legalType: custom-ab-ca-disclosure-1
                      signature: Alex Smith
                    - legalType: custom-ab-ca-disclosure-2
                      signature: Alex Smith
      responses:
        '200':
          description: OK
        '403':
          description: Forbidden
        '404':
          description: The case was not found.
        '422':
          description: >-
            This response indicates one of the following:

            - The candidate already acknowledged all disclosures of this type.

            - The case doesn't have this disclosure in its service group.

            - The request doesn't have all of the required data for all of the
            disclosures.
        '500':
          description: Internal Server Error
components:
  parameters:
    language:
      name: language
      in: path
      required: true
      schema:
        type: string
        enum:
          - en
      description: >-
        The desired language for the legal document. Must be an [ISO
        639-1](https://en.wikipedia.org/wiki/List_of_ISO_639_language_codes)
        code. Currently, the only supported value is `en` (English). If an
        unsupported language is requested, the call still succeeds but returns
        an English version of the document.
  schemas:
    LegalAcknowledgmentDisclosures:
      title: LegalAcknowledgmentDisclosures
      type: object
      required:
        - sendReport
        - list
      properties:
        sendReport:
          type: boolean
          description: >-
            If true, a report notification will be emailed to the candidate when
            the report is finished.
        list:
          type: array
          items:
            type: object
            required:
              - legalType
            properties:
              legalType:
                $ref: '#/components/schemas/LegalType'
                description: >-
                  The type of legal disclosure. This is the value returned after
                  calling [Request location-specific
                  disclosures](karma-api-openapi.yaml/paths/~1case~1id~1{caseId}~1{disclosureType}~1{language}/post).
              signature:
                type: string
                description: >-
                  The value that the candidate entered into the signature input
                  field on the legal step. Required if `legalType` is
                  `general-*` or `custom-*`; not required for other types of
                  legal disclosures.
    LegalType:
      title: LegalType
      type: string
      enum:
        - general-all-disclosure
        - general-ca-disclosure
        - state-city-all-disclosure
        - custom-ab-disclosure-1
        - custom-ab-ca-disclosure-1
        - custom-ab-disclosure-2
        - custom-ab-ca-disclosure-2
        - custom-dynamic-all-disclosure
        - custom-dynamic-ca-disclosure
      description: The type of legal disclosure.
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````